petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMLocalToLocalBegin

Maps from a local vector (including ghost points that contain irrelevant values) to another local vector where the ghost points in the second are set correctly. Must be followed by DMLocalToLocalEnd().

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMLocalToLocalBegin(DM dm,Vec g,InsertMode mode,Vec l)

Neighbor-wise Collective on DM and Vec

### Input Parameters

| dm | - the DM object
| g | - the original local vector
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the local vector with correct ghost values

### Notes

The local vectors used here need not be the same as those obtained from DMCreateLocalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DM originating vectors.

### Keywords

DM, local-to-local, begin

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateLocalVector(), DMCreateGlobalVector(), DMCreateInterpolation(), DMLocalToLocalEnd(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex13f90.F90.html

### Implementations

DMLocalToLocalBegin_Composite in src/dm/impls/composite/pack.c
DMLocalToLocalBegin_DA in src/dm/impls/da/daltol.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages